{% assign username = page.username %}
{% assign entries = site.posts | where: "author", username %}
{% assign limit = page.posts.section.limit %}

{% if page.posts.section.visible == true %}
<section class="container my-5 text-center">

  {% if page.posts.section.icon %}
  <i class="h1 {{ page.posts.section.icon }}"></i>
  {% endif %}

  {% if page.posts.section.name %}
  <h1>{{ page.posts.section.name }}</h1>
  {% endif %}

  {% if page.posts.section.preamble %}
  <p>{{ page.posts.section.preamble }}</p>
  {% endif %}

  {% if entries.size > 0 %}
  <div class="card-group">
  {% for i in entries limit: limit %} {%- assign date_format = site.date_format | default: "%b %-d, %Y" -%}
  <div class="card">
    <a href="{{ site.url }}{{ site.baseurl }}{{ i.url }}"><img src="{{ site.url }}{{ site.baseurl }}/assets/img/{{ i.with_image }}" class="card-img-top" alt="{{ i.name }}"></a>
    <div class="card-body">
      <h4 class="card-title"><a href="{{ site.url }}{{ site.baseurl }}{{ i.url }}">{{ i.title }}</a></h4>
      <p class="card-text">{{ i.excerpt | strip_html }}</p>
      <p class="card-text"><small class="text-body-secondary">{{ i.date | date: "%b %d, %Y"}}</small></p>
    </div>
  </div>
  {% endfor %}
  </div>
  {% else %}
  <div class="alert alert-light border shadow" role="alert">Nothing posted here, yet.</div>
  {% endif %}

</section>
{% endif %}
